#
# spec file for package gd (Version 2.0.15)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  freetype2 freetype2-devel libjpeg libpng-devel-packages xf86 xpm
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel XFree86 XFree86-devel XFree86-libs autoconf automake binutils cracklib fontconfig fontconfig-devel freetype2 freetype2-devel gcc gdbm gettext libjpeg libpng libpng-devel libtool perl rpm

Name:         gd
License:      Other License(s), see package, X11/MIT
Group:        System/Libraries
Obsoletes:    gdlib 
Autoreqprov:  on
Version:      2.0.15
Release:      101
URL:          http://www.boutell.com/gd/
Summary:      A Drawing Library for programs that use PNG and JPEG Output
Source:       gd-%{version}.tar.bz2
Patch0:       gd-overflow.patch
Patch1:       gd-CAN-2004-0941.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
Gd allows your code to quickly draw images complete with lines, arcs,
text, and multiple colors. It supports cut and paste from other images
and flood fills. It outputs PNG, JPEG, and WBMP(for wireless devices)
and is supported by PHP4.



Authors:
--------
    Thomas Boutell <boutell@boutell.com>

%package -n   gd-devel
Requires:     gd = %{version}
License:      X11/MIT, Other License(s), see package
Summary:      Drawing library for Programs with PNG and JPEG output
Group:        Development/Libraries/C and C++
Autoreqprov:  on

%description -n gd-devel 
gd allows your code to quickly draw images complete with lines, arcs,
text, multiple colors, cut and paste from other images, and flood
fills, and write out the result as a PNG or JPEG file. This is
particularly useful in World Wide Web applications, where PNG and JPEG
are two of the formats accepted for inline images by most browsers.



Authors:
--------
    Thomas Boutell <boutell@boutell.com>

%prep
%setup -q
%patch0
%patch1

%build
%{suse_update_config -f}
aclocal
libtoolize --force
automake
autoconf
CFLAGS="$RPM_OPT_FLAGS -I%{_includedir}/freetype2" \
CPPFLAGS="-I%{_includedir}/freetype2" \
	./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--with-freetype \
	--with-jpeg \
	--with-png \
	--with-xpm \
	--with-pic
make 

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc COPYING INSTALL README* index.html
%{_bindir}/*
%{_libdir}/*.so.*

%files -n  gd-devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la

%changelog -n gd
* Mon Nov 15 2004 - nadvornik@suse.cz
- fixed more overflows - CAN-2004-0941 [#47666]
* Tue Nov 02 2004 - nadvornik@suse.cz
- fixed several integer overflows [#47666]
* Thu Jul 24 2003 - mjancar@suse.cz
- update to 2.0.15
* Thu Feb 13 2003 - nadvornik@suse.cz
- updated to 2.0.11: speed improvements, bugfixes
* Fri Dec 13 2002 - prehak@suse.cz
- added gdImageCreateFromXpm() function prototype to gd.h
* Thu Nov 28 2002 - nadvornik@suse.cz
- updated to 2.0.8
* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides
* Tue May 28 2002 - bk@suse.de
- gd-devel requires gd and use prefix, bindir and includedir macros
* Wed Feb 13 2002 - nadvornik@suse.cz
- used macro %%{_libdir}
* Fri Feb 01 2002 - ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Mon Nov 05 2001 - ro@suse.de
- fix Makefile.am for automake 1.5 (removed duplicated line)
* Fri May 25 2001 - pblaha@suse.cz
- fix include on ia64
* Thu Mar 29 2001 - ro@suse.de
- use aclocal
* Wed Mar 21 2001 - ro@suse.de
- update to 1.8.4
- use freetype2
* Mon Dec 04 2000 - pblaha@suse.cz
- move simbolick link libgd.so -> gd-devel
* Thu Nov 30 2000 - aj@suse.de
- Add suse_update_config.
* Wed Nov 15 2000 - pblaha@suse.cz
- aplied patch from perl-GD and split to gd & gd-devel
* Mon Jun 05 2000 - bubnikv@suse.cz
- updated to 1.8.3
* Fri May 12 2000 - nadvornik@suse.cz
- update to 1.8.1
- added BuildRoot
* Tue Oct 12 1999 - ro@suse.de
- added xpm and ttf support
* Sun Oct 10 1999 - ro@suse.de
- added libpng to neededforbuild
* Thu Oct 07 1999 - schwab@suse.de
- update to 1.7.3
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Sep 09 1999 - bs@suse.de
- fixed call of Check at the end of %%install section
* Tue Jun 15 1999 - ro@suse.de
- fixed doc installation
* Tue Jun 15 1999 - ro@suse.de
- update to 1.3
* Thu Feb 05 1998 - ro@suse.de
- ready for autobuild
